Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.collab
Interface IProgress

public interface IProgress

This interface provides callbacks for reporting progress on time-consuming operations.

Method Summary
`void` | `exceptionOccured(java.lang.Throwable t)` If the operation threw an exception, this method will be called instead of `setResults(Object)`.
`void` | `setMaximum(int iMaxCount)` This method is called to report the total amount of work to be done.
`void` | `setProgress(int iCount)` This method is called at intervals to report the total progress so far.
`void` | `setResults(java.lang.Object results)` This method will be called once the operation is complete to report the results if the operation succeeded.

Method Detail

### setMaximum

    public void setMaximum(int iMaxCount)

  This method is called to report the total amount of work to be done. It will be the first method called. The value of iMaxCount may be arbitrary.

  Parameters:
    `iMaxCount` - the total amount of work to be done

### setProgress

    public void setProgress(int iCount)

  This method is called at intervals to report the total progress so far. `iCount` will be non-negative, stay the same or increase on each call, and will not exceed the value of `iMaxCount` in `setMaximum(int)`.

  Parameters:
    `iCount` - the amount of work done so far

### setResults

    public void setResults(java.lang.Object results)

  This method will be called once the operation is complete to report the results if the operation succeeded. If the operation threw an exception, `exceptionOccured(Throwable)` will be called instead. This will be the last method called.

  Parameters:
    `results` - the results of the operation

### exceptionOccured

    public void exceptionOccured(java.lang.Throwable t)

  If the operation threw an exception, this method will be called instead of `setResults(Object)`. This method may be called at any time, and will be the last method called.

  Parameters:
    `t` - the exception that occured

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.